.. py:currentmodule:: tulipogl

:mod:`tulipogl` module API
==========================

.. automodule:: tulipogl

Parametric curves computation
------------------------------

.. autofunction:: tulipogl::tlpogl.computeBezierPoint

.. autofunction:: tulipogl::tlpogl.computeBezierPoints

.. autofunction:: tulipogl::tlpogl.computeCatmullRomPoint

.. autofunction:: tulipogl::tlpogl.computeCatmullRomPoints

.. autofunction:: tulipogl::tlpogl.computeOpenUniformBsplinePoint

.. autofunction:: tulipogl::tlpogl.computeOpenUniformBsplinePoints

tlpogl.GlGraphRenderingParameters
----------------------------------

.. autoclass:: tulipogl::tlpogl.GlGraphRenderingParameters
        :members:

tlpogl.GlGraphInputData
------------------------

.. autoclass:: tulipogl::tlpogl.GlGraphInputData
        :members:
